import calendar

from dateutil.relativedelta import relativedelta
from django.utils import timezone


def to_timestamp(dt):
    return calendar.timegm(dt.utctimetuple())


def shifted_now(**kwargs):
    """
    Получить время, смещенное от текущего по заданным параметрам
    """
    return timezone.now() + relativedelta(**kwargs)
